<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2021 rel. 3 (x64) (http://www.altova.com) by VASILIOS PERGIOUDAKIS (CYBERCE S.A.) -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.aade.gr/fuel/inoutflow/grading" xmlns:common="http://www.aade.gr/fuel/inoutflow/common" targetNamespace="http://www.aade.gr/fuel/inoutflow/grading" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:import namespace="http://www.aade.gr/fuel/inoutflow/common" schemaLocation="../common/BasicEntities.xsd"/>
	<xs:element name="GradingRequest">
		<xs:annotation>
			<xs:documentation>Δελτίο Βαθμονόμησης Μετρητή </xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element name="Grading" type="GradingType"/>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:complexType name="TicketGType">
		<xs:complexContent>
			<xs:extension base="common:TicketBasicType">
				<xs:sequence>
					<xs:element name="DeviceCode" nillable="false">
						<xs:annotation>
							<xs:documentation>Αριθμός Μητρώου Μετρητή (από Μητρώο)</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:string">
								<xs:maxLength value="50"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="Difference" nillable="false">
						<xs:annotation>
							<xs:documentation>Εξαχθείσα ποσότητα</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="ApplicationNumber" nillable="false">
						<xs:annotation>
							<xs:documentation>Ο αριθμός αναφοράς της αίτησης βαθμονόμησης</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:string">
								<xs:maxLength value="100"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="Reprocessing" type="xs:boolean" nillable="false">
						<xs:annotation>
							<xs:documentation>Ένδειξη σε περίπτωση που το καύσιμο προορίζεται για επαναδιύλιση / επανεπεξεργασία</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="PartTankCode" nillable="false" minOccurs="0">
						<xs:annotation>
							<xs:documentation>Αριθμός Μητρώου Δεξαμενής (στην εφαρμογή της ΑΑΔΕ)</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:string">
								<xs:maxLength value="50"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="PartPipeIdentifier" nillable="false" minOccurs="0">
						<xs:annotation>
							<xs:documentation>Ταυτότητα Αγωγού</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:string">
								<xs:maxLength value="50"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="TankGType">
		<xs:complexContent>
			<xs:extension base="common:TankBasicType">
				<xs:sequence>
					<xs:element name="Type" nillable="false">
						<xs:annotation>
							<xs:documentation>Ένδειξη για το αν η δεξαμενη αφορά σε Φορολογική Αποθήκη ή Αποθήκη Τελωνειακής Αποταμίευσης</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:string">
								<xs:length value="1"/>
								<xs:pattern value="1"/>
								<xs:pattern value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="Identifier" nillable="false">
						<xs:annotation>
							<xs:documentation>Αριθμός Ε.Φ.Κ ή αριθμός Άδειας Λειτουργίας της Τ.Α.</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:string">
								<xs:maxLength value="50"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="MeasureGType">
		<xs:sequence>
			<xs:element name="DateTime" type="xs:dateTime" nillable="false">
				<xs:annotation>
					<xs:documentation>Ημερομηνία / Ώρα Καταγραφής Μέτρησης</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="IndicationMaster" nillable="false">
				<xs:annotation>
					<xs:documentation>Ένδειξη Totaliser (master meter)</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:decimal">
						<xs:fractionDigits value="2"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="Indication" nillable="false">
				<xs:annotation>
					<xs:documentation>Ένδειξη Totaliser (Μετρητή Εκροής)</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:decimal">
						<xs:fractionDigits value="2"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="GradingType">
		<xs:sequence>
			<xs:element name="Ticket" type="TicketGType">
				<xs:annotation>
					<xs:documentation>Δελτίο</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="Tank" type="TankGType">
				<xs:annotation>
					<xs:documentation>Δεξαμενή</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="Fuel" type="common:FuelBasicType">
				<xs:annotation>
					<xs:documentation>Καύσιμο</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="MeasurePre" type="MeasureGType">
				<xs:annotation>
					<xs:documentation>Μέτρηση κατά την έναρξη της περιόδου</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="MeasurePost">
				<xs:annotation>
					<xs:documentation>Μέτρηση κατά το πέρας της περιόδου</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:complexContent>
						<xs:extension base="MeasureGType">
							<xs:sequence>
								<xs:element name="VolumeMaster" nillable="false">
									<xs:annotation>
										<xs:documentation>Όγκος καυσίμου στον πρότυπο μετρητή (master meter) στους 15ο C / 20ο C</xs:documentation>
									</xs:annotation>
									<xs:simpleType>
										<xs:restriction base="xs:decimal">
											<xs:fractionDigits value="2"/>
										</xs:restriction>
									</xs:simpleType>
								</xs:element>
								<xs:element name="Temperature" nillable="false">
									<xs:annotation>
										<xs:documentation>Θερμοκρασία του καυσίμου στον μετρητή εκροής (o C)</xs:documentation>
									</xs:annotation>
									<xs:simpleType>
										<xs:restriction base="xs:decimal">
											<xs:fractionDigits value="2"/>
										</xs:restriction>
									</xs:simpleType>
								</xs:element>
								<xs:element name="Volume" nillable="false">
									<xs:annotation>
										<xs:documentation>Όγκος καυσίμου στον μετρητή εκροής στους 15ο C / 20ο C</xs:documentation>
									</xs:annotation>
									<xs:simpleType>
										<xs:restriction base="xs:decimal">
											<xs:fractionDigits value="2"/>
										</xs:restriction>
									</xs:simpleType>
								</xs:element>
								<xs:element name="Density" nillable="false">
									<xs:annotation>
										<xs:documentation>Πυκνότητα καυσίμου στον μετρητή εκροής </xs:documentation>
									</xs:annotation>
									<xs:simpleType>
										<xs:restriction base="xs:decimal">
											<xs:fractionDigits value="2"/>
										</xs:restriction>
									</xs:simpleType>
								</xs:element>
							</xs:sequence>
						</xs:extension>
					</xs:complexContent>
				</xs:complexType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
</xs:schema>